Transport (Axis API)
Keywords: org.apache.axis.client.Transport,Transport class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.client
Class Transport

    java.lang.Object
      |
      +--org.apache.axis.client.Transport

Direct Known Subclasses:
  HTTPTransport, JavaTransport, JMSTransport, LocalTransport, MailTransport

public class Transport
extends java.lang.Object

Field Summary
`java.lang.String` | `transportName` Transport Chain Name - so users can change the default.
`java.lang.String` | `url` Transport URL, if any.

Constructor Summary
`Transport()`

Method Summary
`java.lang.String` | `getTransportName()` Returns the name of the transport chain to use
`java.lang.String` | `getUrl()` Get the transport-specific URL
`void` | `processReturnedMessageContext(MessageContext context)` Allow the transport to grab any transport-specific stuff it might want from a returned MessageContext
`void` | `setTransportName(java.lang.String name)` Sets the transport chain name - to override the default.
`void` | `setupMessageContext(MessageContext context, Call message, AxisEngine engine)`
`void` | `setupMessageContextImpl(MessageContext context, Call message, AxisEngine engine)`
`void` | `setUrl(java.lang.String url)` Set the transport-specific URL

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### transportName

    public java.lang.String transportName

  Transport Chain Name - so users can change the default.

### url

    public java.lang.String url

  Transport URL, if any.

Constructor Detail

### Transport

    public Transport()

Method Detail

### setupMessageContext

    public final void setupMessageContext(MessageContext context,
                                          Call message,
                                          AxisEngine engine)
                                   throws AxisFault

    `AxisFault`

### setupMessageContextImpl

    public void setupMessageContextImpl(MessageContext context,
                                        Call message,
                                        AxisEngine engine)
                                 throws AxisFault

    `AxisFault`

### processReturnedMessageContext

    public void processReturnedMessageContext(MessageContext context)

  Allow the transport to grab any transport-specific stuff it might want from a returned MessageContext

### setTransportName

    public void setTransportName(java.lang.String name)

  Sets the transport chain name - to override the default.

  Parameters:
    `name` - the name of the transport chain to use

### getTransportName

    public java.lang.String getTransportName()

  Returns the name of the transport chain to use

  Returns:
    the transport chain name (or null if the default chain)

### getUrl

    public java.lang.String getUrl()

  Get the transport-specific URL

### setUrl

    public void setUrl(java.lang.String url)

  Set the transport-specific URL

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.